@echo off
rem *******************************************************************************
rem  Licensed Materials - Property of IBM
rem  (c) Copyright IBM Corporation 2009. All Rights Reserved.
rem  
rem  Note to U.S. Government Users Restricted Rights:  
rem  Use, duplication or disclosure restricted by GSA ADP Schedule 
rem  Contract with IBM Corp. 
rem  *******************************************************************************

rem  *******************************************************************************
rem  Instructions:
rem  To use this script you must have CURL installed on your client system.  The curl
rem  local variable should be set to the location of the curl executable.
rem  *******************************************************************************

SETLOCAL
SET MY_TEMP="~TEMP"
if "x%MY_TEMP%" EQU "x" (
    SET TEMP=C:\TEMP
    MD C:\TEMP
)
SET CURL="..\import\AQXUrlTool.exe"
SET INTEGRATION_SERVICE=jazz/secure/service/com.ibm.rqm.integration.service.IIntegrationService
SET SETTINGS_FILE=%TEMP%\settings.txt

:getopt
if "%1"=="" goto doneopt
    if "%1" == "/h" goto usage
    if "%1" == "/H" goto usage
    if "%1" == "/?" goto usage
    if "%1"== "/SS" (
         set S_SERVER=%2
         shift
         goto getopt
    )
    if "%1"== "/ss" (
         set S_SERVER=%2
         shift
         goto getopt
    )
    if "%1"== "/sa" (
         set S_AREA=%2
         shift
         goto getopt
    )
    if "%1"== "/SA" (
         set S_AREA=%2
         shift
         goto getopt
    )
    
    if "%1"== "/SU" (
         set S_USER=%2
         shift
         goto getopt
    )
    if "%1"== "/su" (
         set S_USER=%2
         shift
         goto getopt
    )
    if "%1"== "/SP" (
         set S_PASSWORD=%2
         shift
         goto getopt
    )
    if "%1"== "/sp" (
         set S_PASSWORD=%2
         shift
         goto getopt
    )
    if "%1"== "/DS" (
         set D_SERVER=%2
         shift
         goto getopt
    )
    if "%1"== "/ds" (
         set D_SERVER=%2
         shift
         goto getopt
    )
    if "%1"== "/da" (
         set D_AREA=%2
         shift
         goto getopt
    )
    if "%1"== "/DA" (
         set D_AREA=%2
         shift
         goto getopt
    )
    
    if "%1"== "/DU" (
         set D_USER=%2
         shift
         goto getopt
    )
    if "%1"== "/du" (
         set D_USER=%2
         shift
         goto getopt
    )
    if "%1"== "/DP" (
         set D_PASSWORD=%2
         shift
         goto getopt
    )
    if "%1"== "/dp" (
         set D_PASSWORD=%2
         shift
         goto getopt
    )
shift
goto getopt
:doneopt

if "%S_SERVER%" == "" goto usage
if "%S_USER%" == "" goto usage
if "%S_PASSWORD%" == "" goto usage
if "%S_AREA%" == "" goto usage
if "%D_SERVER%" == "" set D_SERVER=%S_SERVER%
if "%D_USER%" == "" set D_USER=%S_USER%
if "%D_PASSWORD%" == "" set D_PASSWORD=%S_PASSWORD%
if "%D_AREA%" == "" goto usage

:main

echo Getting settings file %SETTINGS_FILE% from location "%S_SERVER%%INTEGRATION_SERVICE%/project/%S_AREA%/settings"

call %CURL% -X GET -u %S_USER%:%S_PASSWORD% "%S_SERVER%%INTEGRATION_SERVICE%/project/%S_AREA%/settings" > %SETTINGS_FILE%

echo Putting settings file to location "%D_SERVER%%INTEGRATION_SERVICE%/project/%D_AREA%/settings"

call %CURL% -X PUT -u %D_USER%:%D_PASSWORD% -T %SETTINGS_FILE% "%D_SERVER%%INTEGRATION_SERVICE%/project/%D_AREA%/settings"

del %SETTINGS_FILE%

goto end

:usage
echo Usage: %0 [options]
echo     /H                       : show this help
echo     /SS source server        : RQM server. E.g. https://servername:9443/
echo     /SU source username      : login username
echo     /SP source password      : login password
echo     /SA source area          : project alias. E.g. Quality+Manager
echo     /DS destination server   : RQM server. E.g. https://servername:9443/
echo                                Default is same as source.
echo     /DU destination username : login username.  Default is same as source.
echo     /DP destination password : login password  Default is same as source.
echo     /DA destination area     : project alias.
goto end

:end
endlocal
